{
  "name": "lambda-project",
  "version": "1.0.0",
  "main": "index.js",
  "repository": "https://gitlab.com/lingchun.so/lambda-project.git",
  "author": "SO Ling Chun",
  "license": "MIT",
  "scripts": {
    "test": "jest",
    "build": "webpack --mode=production",
    "build:watch": "webpack --mode=development --watch",
    "prepare": "husky install",
    "lint": "eslint src/**/*.ts",
    "localstack:start": "cd localstack && docker-compose -p lambda-project-localstack up -d",
    "localstack:stop": "cd localstack && docker-compose -p lambda-project-localstack down"
  },
  "lint-staged": {
    "*.ts": "eslint --fix",
    "*.{js,json,css,scss}": "prettier --write"
  },
  "devDependencies": {
    "@tsconfig/node14": "^1.0.1",
    "@types/jest": "^27.4.1",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-prettier": "^4.0.0",
    "husky": "^7.0.4",
    "jest": "^27.5.1",
    "jest-sonar-reporter": "^2.0.0",
    "lint-staged": "^12.4.1",
    "prettier": "^2.6.2",
    "ts-jest": "^27.1.4",
    "ts-loader": "^9.2.9",
    "typescript": "^4.6.3",
    "webpack": "^5.72.0",
    "webpack-cli": "^4.9.2",
    "zip-webpack-plugin": "^4.0.1"
  },
  "dependencies": {
    "@types/aws-lambda": "^8.10.95",
    "@types/aws-sdk": "^2.7.0",
    "@types/uuid": "^8.3.4",
    "@typescript-eslint/eslint-plugin": "^5.21.0",
    "@typescript-eslint/parser": "^5.21.0",
    "aws-sdk": "^2.1124.0",
    "eslint": "^8.14.0",
    "uuid": "^8.3.2"
  },
  "jestSonar": {
    "reportPath": "reports",
    "reportFile": "test-report.xml"
  }
}
